Update a ticket
curl --request PATCH \
--url https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusCategory": "on_customer",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeEmail": "sam@example.com",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": "urgent",
"agentEmail": "sam@example.com"
}
'import requests
url = "https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber}"
payload = {
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusCategory": "on_customer",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeEmail": "sam@example.com",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": "urgent",
"agentEmail": "sam@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
statusId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
statusCategory: 'on_customer',
assigneeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assigneeEmail: 'sam@example.com',
teamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
priority: 'urgent',
agentEmail: 'sam@example.com'
})
};
fetch('https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'statusId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'statusCategory' => 'on_customer',
'assigneeId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'assigneeEmail' => 'sam@example.com',
'teamId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'priority' => 'urgent',
'agentEmail' => 'sam@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber}"
payload := strings.NewReader("{\n \"statusId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"statusCategory\": \"on_customer\",\n \"assigneeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeEmail\": \"sam@example.com\",\n \"teamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"priority\": \"urgent\",\n \"agentEmail\": \"sam@example.com\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"statusId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"statusCategory\": \"on_customer\",\n \"assigneeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeEmail\": \"sam@example.com\",\n \"teamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"priority\": \"urgent\",\n \"agentEmail\": \"sam@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"statusId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"statusCategory\": \"on_customer\",\n \"assigneeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeEmail\": \"sam@example.com\",\n \"teamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"priority\": \"urgent\",\n \"agentEmail\": \"sam@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"ticketNumber": 123,
"subject": "<string>",
"description": "<string>",
"statusCategory": "on_customer",
"statusId": "<string>",
"assigneeId": "<string>",
"customer": {
"id": "<string>",
"name": "Ada Lovelace",
"email": "ada@example.com",
"phoneNumber": "<string>"
},
"metadata": {
"phone_number": "+1 525-525-5255"
},
"channel": "email",
"conversationId": "<string>",
"teamId": "<string>",
"priority": "high",
"createdAt": "2026-07-20T12:34:56.000Z",
"updatedAt": "2026-07-21T09:00:00.000Z",
"lastMessageAt": "2026-07-21T08:55:00.000Z"
}Helpdesk
Update a ticket
Partially updates a ticket’s status, assignee, team, or priority. Only provided fields are changed. Fields are validated together but written independently, so a 500 can leave a partial update.
PATCH
/
agents
/
{agentId}
/
helpdesk
/
tickets
/
{ticketNumber}
Update a ticket
curl --request PATCH \
--url https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusCategory": "on_customer",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeEmail": "sam@example.com",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": "urgent",
"agentEmail": "sam@example.com"
}
'import requests
url = "https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber}"
payload = {
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusCategory": "on_customer",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeEmail": "sam@example.com",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": "urgent",
"agentEmail": "sam@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
statusId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
statusCategory: 'on_customer',
assigneeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assigneeEmail: 'sam@example.com',
teamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
priority: 'urgent',
agentEmail: 'sam@example.com'
})
};
fetch('https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'statusId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'statusCategory' => 'on_customer',
'assigneeId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'assigneeEmail' => 'sam@example.com',
'teamId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'priority' => 'urgent',
'agentEmail' => 'sam@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber}"
payload := strings.NewReader("{\n \"statusId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"statusCategory\": \"on_customer\",\n \"assigneeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeEmail\": \"sam@example.com\",\n \"teamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"priority\": \"urgent\",\n \"agentEmail\": \"sam@example.com\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"statusId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"statusCategory\": \"on_customer\",\n \"assigneeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeEmail\": \"sam@example.com\",\n \"teamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"priority\": \"urgent\",\n \"agentEmail\": \"sam@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.chatbase.co/api/v2/agents/{agentId}/helpdesk/tickets/{ticketNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"statusId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"statusCategory\": \"on_customer\",\n \"assigneeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeEmail\": \"sam@example.com\",\n \"teamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"priority\": \"urgent\",\n \"agentEmail\": \"sam@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"ticketNumber": 123,
"subject": "<string>",
"description": "<string>",
"statusCategory": "on_customer",
"statusId": "<string>",
"assigneeId": "<string>",
"customer": {
"id": "<string>",
"name": "Ada Lovelace",
"email": "ada@example.com",
"phoneNumber": "<string>"
},
"metadata": {
"phone_number": "+1 525-525-5255"
},
"channel": "email",
"conversationId": "<string>",
"teamId": "<string>",
"priority": "high",
"createdAt": "2026-07-20T12:34:56.000Z",
"updatedAt": "2026-07-21T09:00:00.000Z",
"lastMessageAt": "2026-07-21T08:55:00.000Z"
}Path Parameters
Body
application/json
Optional. Attribute this change to the agent with this email — a member of this account (case-insensitive). If omitted, or the email is not a recognized member, the change is recorded as an automatic system change. Not itself a change: you must still provide at least one field above.
Example:
"sam@example.com"
Response
The updated ticket